Summary:	Popular Unix Irc client
Summary(de.UTF-8):	Beliebter Unix-IRC-Client
Summary(fr.UTF-8):	Client irc UNIX populaire
Summary(pl.UTF-8):	Popularny uniksowy klient IRC
Summary(tr.UTF-8):	Yaygın Unix Irc istemcisi
Name:		ircii
Version:	20111115
Release:	1
License:	BSD
Group:		Applications/Networking
Vendor:		IRCII Bugs <ircii-bugs@ircii.eterna.com.au>
Source0:	ftp://ircii.warped.com/pub/ircII/%{name}-%{version}.tar.gz
# Source0-md5:	8e38ba5828c02fa44289ae3dcbccd04c
Source1:	%{name}.desktop
Patch0:		%{name}-config.patch
URL:		http://www.eterna.com.au/ircii/
BuildRequires:	autoconf
BuildRequires:	ncompress
BuildRequires:	ncurses-devel >= 5.1
Requires:	ncompress
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ircii-help

%description
This is a popular Internet Relay Chat (IRC) client. It is a program
used to connect to IRC servers around the globe so that the user can
``chat'' with others.

%description -l de.UTF-8
Dies ist ein beliebter IRC-Client (Internet Relay Chat). Sie können
eine Verbindung zu einem beliebigen IRC-Server aufbauen und mit
anderen Benutzern 'chatten'.

%description -l fr.UTF-8
Le très poulaire client Internet Relay Chat (IRC). C'est un programme
utilisé pour se connecter aux serveurs IRC à travers le monde entier
et ``bavarder'' avec les autres.

%description -l pl.UTF-8
Ircii to popularny klient IRC (Internet Relay Chat). Służy do łączenia
się z serwerami IRC dookoła globu tak, by użytkownicy mogli ze sobą
rozmawiać.

%description -l tr.UTF-8
Bu, yaygın kullanılan bir IRC (Internet Relay Chat) istemcisidir.
Dünya üzerinde herhangi bir IRC sunucusuna bağlantı sağlar; bağlantı
sağlandıktan sonra kullanıcı diğer insanlarla sohbet edebilir.

%prep
%setup  -q
%patch0 -p1

%build
%configure2_13 \
	--with-paranoid \
	--enable-ipv6 \
	--with-default-server="irc.pld-linux.org poznan.irc.pl wroclaw.irc.pl warszawa.irc.pl krakow.irc.pl lublin.irc.pl" \
	--with-cast
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/irc,%{_desktopdir}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/irc-%{version} $RPM_BUILD_ROOT%{_bindir}/ircii
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
chmod -R a=rX,u=rwX $RPM_BUILD_ROOT%{_datadir}/irc

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/irc.1
echo ".so ircII.1" > $RPM_BUILD_ROOT%{_mandir}/man1/irc.1


%post
if [ ! -f /etc/irc/ircII.servers ]; then
	if [ ! -d /etc/irc ]; then
		install -d /etc/irc
		chmod 755 /etc/irc
	fi
cat  << EOF > /etc/irc/ircII.servers
irc.pld-linux.org:6667
warszawa.irc.pl:6667
lublin.irc.pl:6667
krakow.irc.pl:6667
poznan.irc.pl:6667
wroclaw.irc.pl:6667
EOF
	chown root:root /etc/irc/ircII.servers
	chmod 644 /etc/irc/ircII.servers
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README ChangeLog
%attr(755,root,root) %{_bindir}/*ircii
%attr(755,root,root) %dir %{_sysconfdir}/irc
%attr( - ,root,root) %{_datadir}/irc
%{_desktopdir}/*.desktop
%{_mandir}/man*/*
%changelog
* Sun Jul 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ircii.git;a=log;h=master

* Tue Jan 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fd10387
- up to 20111115

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 80e2eb4
- release 2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f46355d
- dropped pre-cvs changelog

* Thu Jan 27 2011 madget <madget@pld-linux.org> 64066c2
- up to 20081115

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 032ae9a
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Apr 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0858e7d
- up to 20060725

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b47df5f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fd3756f
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 7602acc
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> f86ca17
- orphaned, outdated

* Mon May 23 2005 ankry <ankry@pld-linux.org> dedcf1d
- manpage fix, rel. 3

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> eacba6f
- pl fixes

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 3672351
- unifications

* Wed Oct 06 2004 darekr <darekr@pld-linux.org> 8d3a021
- added URL

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> 223e56e
- updated to 20040820

* Sun Jul 04 2004 havner <havner@pld-linux.org> 92bab04
- applnk -> vfolders

* Sun Jul 04 2004 havner <havner@pld-linux.org> e2ebc1e
- categories

* Mon Jun 14 2004 hawk <hawk@pld-linux.org> 8a8d3ee
- updated to 20040216

* Tue Jan 20 2004 domelu <domelu@pld-linux.org> 7f8d8da
- added ircserver irc.pld-linux.org
- release 3; STBR Ac

* Sun Nov 23 2003 saq <saq@pld-linux.org> 4a10d87
- added Encoding=UTF-8 as requires by freedesktop

